Skip to content

สินค้าที่ครีเอเตอร์โปรโมท

บทนำ

รับสินค้าที่ครีเอเตอร์โปรโมทโดยใช้ uid ของพวกเขา

เอนด์พอยต์

bash
POST /creator/v1/productList

เนื้อความคำขอ

ฟิลด์ประเภทจำเป็นคำอธิบาย
filterobjectใช่พารามิเตอร์ตัวกรอง
pageintegerไม่หมายเลขหน้า ค่าเริ่มต้น: 1
pagesizeintegerไม่รายการต่อหน้า ค่าเริ่มต้น: 10

ตัวเลือก filter

ฟิลด์ประเภทจำเป็นคำอธิบาย
uidstringใช่UID ครีเอเตอร์
daysstringไม่ช่วงเวลา เช่น [0, 7, 14, 28, 90]

ตัวอย่างคำขอ

bash
curl 'https://openapi.fastmoss.com/creator/v1/productList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "uid": "6893103660525831169",
        "days": 7
    },
    "page": 1,
    "pagesize": 10
}'

เนื้อความการตอบกลับ

data.total

จำนวนผลลัพธ์ทั้งหมด

data.list

ฟิลด์ประเภทคำอธิบาย
product_idstringID สินค้า
uidstringUID ครีเอเตอร์
seller_idstringID ผู้ขาย
commission_rateintegerอัตราค่าคอมมิชชัน
product_ratingstringคะแนนสินค้า
shop_titlestringชื่อร้านค้า
shop_avatarstringURL รูปโปรไฟล์ร้านค้า
shop_units_countintegerยอดขายของร้านค้า
shop_gmvfloatGMV ของร้านค้า
titlestringชื่อสินค้า
coverstringURL ปกสินค้า
categoryarray[object]หมวดหมู่สินค้า
real_pricestringราคาสินค้า
regionstringภูมิภาคของสินค้า
gmvfloatGMV ของสินค้า
units_soldintegerยอดขายสินค้า
l1_category_idintegerID หมวดหมู่ระดับ 1
l2_category_idintegerID หมวดหมู่ระดับ 2
l3_category_idintegerID หมวดหมู่ระดับ 3

ตัวอย่างการตอบกลับ

json
{
  "code": 0,
  "msg": "success",
  "data": {
    "total": 8,
    "list": [
      {
        "product_id": "1729539239170312086",
        "uid": "6893103660525831169",
        "seller_id": "7494962456968727446",
        "commission_rate": 0,
        "product_rating": "0.0",
        "shop_title": "Twobakeboys",
        "shop_avatar": "https://s.500fd.com/tt_shop/6413a6ce066e4108a30e50d1033dac88~tplv-aphluv4xwc-resize-png:300:300.png",
        "shop_units_count": 23867,
        "shop_gmv": 607576.80,
        "title": "Pineapple tart 230g per bottle",
        "cover": "https://s.500fd.com/default/product_default.png",
        "category": [
            "Food & Beverages"
        ],
        "real_price": "S$15.00",
        "region": "SG",//product's region
        "gmv": 0,
        "units_sold": 0,
        "l1_category_id":24,//product's l1 category_id
        "l2_category_id":915336,//product's l2 category_id
        "l3_category_id":700553//product's l3 category_id
      }
     ]
 }
}